# StatisticsContingencyTable.Entry (ARX Developer Documentation)

org.deidentifier.arx.aggregates

## Class StatisticsContingencyTable.Entry

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsContingencyTable.Entry

- Enclosing class:
    StatisticsContingencyTable

      public static class StatisticsContingencyTable.Entry
      extends java.lang.Object

  An entry in the contingency table.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `frequency` Associated frequency.
    `int` | `value1` Index of the value from the first column.
    `int` | `value2` Index of the value from the second column.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value1

          public int value1

      Index of the value from the first column.

    - #### value2

          public int value2

      Index of the value from the second column.

    - #### frequency

          public double frequency

      Associated frequency.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`